
module load CMake/3.26.3

export INSTALL_DIR=~/software/sse/manual/ANTs/2.5.0
export BUILD_DIR=~/Downloads/software/sse/manual/ANTs/2.5.0
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}

wget -nc https://github.com/ANTsX/ANTs/archive/refs/tags/v2.5.0.tar.gz
tar xf v2.5.0.tar.gz

mkdir build install
cd build
CMAKE_INSTALL_PREFIX=${INSTALL_DIR} cmake ../ANTs-2.5.0

make -j 8 2>&1 | tee build.log
cd ANTS-build
make install 2>&1 | tee install.log
