conflict("Mambaforge")
conflict("Miniforge3")
conflict("AlphaFold")
conflict("LocalColabFold")
conflict("OpenFold")
conflict("HelixFold3")
conflict("PyTorch")
conflict("TensorFlow")

local root = "/software/sse/manual/Anaconda/2023.09-0/hpc1-bdist"
local wrappath = pathJoin(root, "nsc_wrapscripts")
local condawrap = pathJoin(wrappath, "nsc_condawrap.sh")


setenv("NSC_ANACONDA_PATH",root)
setenv("NSC_ANACONDA_WRAPPATH",wrappath)
setenv("NSC_ANACONDA_CONDAWRAP",condawrap)
prepend_path("PATH", wrappath)

set_shell_function("conda", "source " .. condawrap)



nsc_message_on_load(
[==[
*************************************************************
*************************************************************
You have loaded a module for Anaconda Free edition.
These modules are DEPRECATED for license reasons (see below).
*************************************************************
*************************************************************

The Anaconda Python distribution license terms were updated on 
March 31, 2024 in a way that we interpret as restricting also 
general noncommercial use of Anaconda "Free edition" in organizations 
with more than 200 employees.

To help users avoid possible licensing issues, we have deprecated
the Anaconda/<version> modules and now direct users to the 
compatible community-provided software in our modules named:

  Mambaforge/<version>

These modules behave very similar to the Anaconda modules. Upon 
loading the module, you can access the 'conda' command, allowing 
you to interact with your existing Anaconda environments like before. 
**You do not need to rebuild your existing Anaconda environments**.

One practical difference is that the Mambaforge tools are configured
to only use the "conda-forge" channel for packages by default. However, 
this is rarely a problem for typical use.

For questions related to our Anaconda and Mambaforge modules, 
please email: berzelius-support@nsc.liu.se

---------------------------------------------------------------------------------------------------
NOTE: We strongly advice against placing 'conda activate' (with or without arguments) 
      in your shell initialization files, (e.g. '.bashrc' or '.bash_profile') since this 
      severely alters the environment for running software in ways that cause unpredictable 
      issues that can be difficult to diagnose.
---------------------------------------------------------------------------------------------------
]==])