 
module --force purge
module load gcc/system

export INSTALL_DIR=/software/sse/manual/CMake/3.27.7/gcc-8.5.0
export BUILD_DIR=/proj/nsc_testing/xuan${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}


wget https://github.com/Kitware/CMake/releases/download/v3.27.7/cmake-3.27.7.tar.gz
tar xf cmake-3.27.7.tar.gz && cd cmake-3.27.7

./bootstrap --prefix=${INSTALL_DIR} --parallel=32
make -j 32
make install 
make test ARGS=-j32  |& tee ../test.log

# 100% tests passed, 0 tests failed out of 653

# Label Time Summary:
# CMake      = 3754.12 sec*proc (287 tests)
# CUDA       = 270.26 sec*proc (11 tests)
# HIP        =  72.79 sec*proc (6 tests)
# ISPC       = 184.74 sec*proc (6 tests)
# Label1     =   0.10 sec*proc (1 test)
# Label2     =   0.10 sec*proc (1 test)
# command    =   5.60 sec*proc (24 tests)
# policy     = 249.19 sec*proc (39 tests)
# run        = 3748.52 sec*proc (263 tests)

# Total Test time (real) = 320.53 sec