help([==[

Description
===========
CUDA 11.8.0
cuDNN 8.6.0
NCCL 2.16.5

]==])

whatis([==[Description: Just cuda-11.8]==])

-- Set up the installation roots of this buildenv
local cudaroot = "/software/sse/manual/CUDA/11.8.0_520.61.05"

conflict("CUDA")

-- Set up CUDA (v. 11.8)
prepend_path("CPATH", pathJoin(cudaroot, "include"))
prepend_path("CPATH", pathJoin(cudaroot, "extras/CUPTI/include"))
prepend_path("CPATH", pathJoin(cudaroot, "nvvm/include"))
prepend_path("LIBRARY_PATH", pathJoin(cudaroot, "extras/CUPTI/lib64"))
prepend_path("LIBRARY_PATH", pathJoin(cudaroot, "lib64"))
prepend_path('PKG_CONFIG_PATH', pathJoin(cudaroot, 'pkgconfig'))
prepend_path("PATH", pathJoin(cudaroot, "bin"))
prepend_path("PATH", pathJoin(cudaroot, "nvvm/bin"))
prepend_path("PATH", cudaroot)
setenv("CUDA_HOME", cudaroot)
setenv("CUDA_ROOT", cudaroot)
setenv("CUDA_PATH", cudaroot)
