
module --force purge
module load CMake/.3.27.7-gcc-12.3.0
module load GCC/.12.3.0
module load Python/.3.10.2

export INSTALL_DIR=/software/sse/manual/Doxygen/1.9.7/gcc-12.3.0
export BUILD_DIR=/proj/nsc_testing/soumi${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}

wget https://github.com/doxygen/doxygen/releases/download/Release_1_9_7/doxygen-1.9.7.src.tar.gz
gunzip doxygen-1.9.7.src.tar.gz
tar xf doxygen-1.9.7.src.tar       # unpack it
cd doxygen-1.9.7
mkdir build && cd build
cmake \

-D CMAKE_INSTALL_PREFIX=${INSTALL_DIR} \
-G "Unix Makefiles" \
../
make
make install