

module --force purge
module load CMake/.3.27.7-gcc-12.3.0
module load GCC/.12.3.0

export INSTALL_DIR=/software/sse/manual/Eigen/3.4.0/gcc-12.3.0
export BUILD_DIR=/proj/nsc_testing/xuan${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}

wget https://gitlab.com/libeigen/eigen/-/archive/3.4.0/eigen-3.4.0.tar.bz2
tar xf eigen-3.4.0.tar.bz2 && cd eigen-3.4.0
mkdir build && cd build
cmake \
-D CMAKE_INSTALL_PREFIX=${INSTALL_DIR} \
-D CMAKE_C_COMPILER=gcc \
-D CMAKE_CXX_COMPILER=g++ \
../
make -j32 check |& tee ../../check.log

# The following tests FAILED:
# 	144 - product_small_32 (Subprocess aborted)
# 	476 - eigensolver_generalized_real_1 (Subprocess aborted)
# Errors while running CTest

make install
