

module rm mpprun/4.1.5
module load CMake/.3.27.7-gcc-13.2.0
module load GCC/.13.2.0

export INSTALL_DIR=/software/sse/manual/Eigen/3.4.0/gcc-13.2.0
export BUILD_DIR=/proj/nsc_testing/xuan${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}

wget https://gitlab.com/libeigen/eigen/-/archive/3.4.0/eigen-3.4.0.tar.bz2
tar xf eigen-3.4.0.tar.bz2 && cd eigen-3.4.0
mkdir build && cd build
cmake \
-D CMAKE_INSTALL_PREFIX=${INSTALL_DIR} \
-D CMAKE_C_COMPILER=gcc \
-D CMAKE_CXX_COMPILER=g++ \
../
make -j32 check |& tee ../../check.log
make install
