

export INSTALL_DIR=/software/sse/manual/FSL/6.0.6/bdist
mkdir -p ${INSTALL_DIR}

python3 fslinstaller-3.0.5.py -d $INSTALL_DIR -V 6.0.6 -n
# mv ~/.condarc ~/.condarc.backup

# https://fsl.fmrib.ox.ac.uk/fsl/fslwiki/FslEnvironmentVariables
# ${FSLDIR}/etc/fslconf/fsl.sh
# If this is an official (fslinstaller-installed) FSL installation, wrappers to FSL executables will have been created in $FSLDIR/share/fsl/bin

# https://open.win.ox.ac.uk/pages/fsl/fsleyes/fsleyes/userdoc/install.html
# If you have FSL 6.0.6 or newer, you can update to the latest version by running the following command:
# ${FSLDIR}/bin/conda update -p ${FSLDIR} fsleyes

# 20240711
# To fix:
# [xuan@berzelius3 xuan]$ fsleyes
# /software/sse/manual/FSL/6.0.6/bdist/lib/python3.10/site-packages/nibabel/optpkg.py:101: UserWarning: A NumPy version >=1.23.5 and <2.3.0 is required for this version of SciPy (detected version 1.21.6)
# ${FSLDIR}/bin/conda install -p ${FSLDIR} scipy=1.11