
export INSTALL_DIR=/software/sse/manual/Mambaforge/23.3.1-1/hpc1-bdist
mkdir -p ${INSTALL_DIR}
cd ${INSTALL_DIR} 

curl -L -O https://github.com/conda-forge/miniforge/releases/download/23.3.1-1/Mambaforge-23.3.1-1-Linux-x86_64.sh
bash Mambaforge-23.3.1-1-Linux-x86_64.sh -fp ${INSTALL_DIR} -b

cp -a /software/sse/manual/Mambaforge/nsc_wrapscripts ${INSTALL_DIR}
chmod +x ${INSTALL_DIR}/nsc_wrapscripts/nsc_mambawrap.sh ${INSTALL_DIR}/nsc_wrapscripts/nsc_pipwrap.sh

ln -s lib lib64
cd nsc_wrapscripts
ln -s nsc_pipwrap.sh pip
ln -s nsc_pipwrap.sh pip3

cat <<EOT >> "${INSTALL_DIR}/.condarc"
channels:
  - conda-forge
pkgs_dirs:
  - ~/.conda/pkgs
envs_dirs:
  - ~/.conda/envs
EOT