help([==[

Description
===========
OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version.

More information
================
 - Homepage: http://xianyi.github.com/OpenBLAS/
]==])

whatis([==[Description: OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version.]==])
whatis([==[Homepage: http://xianyi.github.com/OpenBLAS/]==])

local oblasroot = "/software/sse/manual/OpenBLAS/0.3.23/gcc-12.1.0/sequential/lp64"

conflict("OpenBLAS")

prepend_path("CPATH", pathJoin(oblasroot, "include"))
prepend_path("LIBRARY_PATH", pathJoin(oblasroot, "lib"))
prepend_path("PATH", pathJoin(oblasroot, "bin"))
prepend_path("PKG_CONFIG_PATH", pathJoin(oblasroot, "lib/pkgconfig"))
prepend_path("CMAKE_PREFIX_PATH", oblasroot)
