module load Mambaforge/23.3.1-1-hpc1-bdist

export INSTALL_DIR=/software/sse/manual/PyTorch/2.1.0/python-3.10
export CONDA_ENV_DIR=$INSTALL_DIR/envs/pytorch_2.1.0

mamba create -p $CONDA_ENV_DIR python==3.10 -y
mamba activate $CONDA_ENV_DIR
mamba install  pytorch==2.1.0 torchvision torchaudio pytorch-cuda=11.8 -c pytorch -c nvidia -y

# Pin packages
cat <<EOT > $CONDA_ENV_DIR/conda-meta/pinned
pytorch==2.1.0
pytorch-cuda=11.8
EOT

mamba install matplotlib jupyterlab scipy pandas scikit-learn -y