module load Mambaforge/23.3.1-1-hpc1-bdist

export INSTALL_DIR=/software/sse/manual/PyTorch/2.3.0/python-3.9
export CONDA_ENV_DIR=$INSTALL_DIR/envs/pytorch_2.3.0

mamba create -p $CONDA_ENV_DIR python==3.9 -y
mamba activate $CONDA_ENV_DIR
mamba install  pytorch==2.3.0 torchvision torchaudio pytorch-cuda=12.1 -c pytorch -c nvidia -y

# Pin packages
cat <<EOT > $CONDA_ENV_DIR/conda-meta/pinned
pytorch==2.3.0
pytorch-cuda=12.1
EOT

mamba install matplotlib jupyterlab scipy pandas scikit-learn -y


# Add more packages
module load Mambaforge/23.3.1-1-hpc1-bdist
export INSTALL_DIR=/software/sse/manual/PyTorch/2.3.0/python-3.9
export CONDA_ENV_DIR=$INSTALL_DIR/envs/pytorch_2.3.0
mamba activate $CONDA_ENV_DIR
# 20240624
mamba install albumentations tqdm
pip install efficientnet_pytorch
