module load Mambaforge/23.3.1-1-hpc1-bdist

export INSTALL_DIR=/software/sse/manual/TensorFlow/2.13.1/python-3.9
export CONDA_ENV_DIR=$INSTALL_DIR/envs/tensorflow_2.13.1

mamba create -p $CONDA_ENV_DIR python==3.9 -y
mamba activate $CONDA_ENV_DIR
CONDA_OVERRIDE_CUDA="11.8" mamba install tensorflow=2.13.1 cudatoolkit=11.8 -c conda-forge -y

# Pin packages
cat <<EOT > $CONDA_ENV_DIR/conda-meta/pinned
tensorflow==2.13.1
cudatoolkit=11.8
EOT

mamba install matplotlib jupyterlab scipy pandas scikit-learn tensorflow-datasets -y