## Set the appropriate environment variables for installing NVHPC
export NVHPC_INSTALL_DIR=/software/sse/manual/NVHPC/23.9/bdist/
export NVHPC_SILENT="true"
export NVHPC_INSTALL_TYPE="single"
export NVHPC_VERSION=23.9
export NVHPC_CUDA_VERSION=12.2

mkdir -p ${NVHPC_INSTALL_DIR}
## Download the nvhpc installer
cd ${NVHPC_INSTALL_DIR}
wget https://developer.download.nvidia.com/hpc-sdk/23.9/nvhpc_2023_239_Linux_x86_64_cuda_12.2.tar.gz
tar -xvf nvhpc_2023_239_Linux_x86_64_cuda_12.2.tar.gz

## Run the installer
nvhpc_2023_239_Linux_x86_64_cuda_12.2/install


# Comment these lines in /software/sse/manual/NVHPC/23.9-bdist/modulefiles/nvhpc-hpcx-cuda12/23.9
#set hpcxmoddir $nvcommdir/$cudaver/hpcx/latest/modulefiles
#
#if { [ module-info mode load ] } {
#    module use $hpcxmoddir
#    module load hpcx
#}
