# https://bazel.build/install/compile-source

module rm --force mpprun
module load gcc/system
module load Java/11.0.19

export INSTALL_DIR=/software/sse/manual/Bazel/5.3.0/gcc-8.5.0/java-11.0.19
mkdir -p ${INSTALL_DIR}
cd ${INSTALL_DIR} 

wget https://github.com/bazelbuild/bazel/releases/download/5.3.0/bazel-5.3.0-dist.zip
unzip bazel-5.3.0-dist.zip -d bazel-5.3.0
cd bazel-5.3.0

env EXTRA_BAZEL_ARGS="--tool_java_runtime_version=local_jdk" bash ./compile.sh

mkdir -p ${INSTALL_DIR}/bin
cp output/bazel ${INSTALL_DIR}/bin

################### old #####################
export GCC_HOST_COMPILER_PATH=/software/sse/manual/GCC/9.3.0/bin/gcc
export GCC_HOST_COMPILER_PREFIX=/software/sse/manual/GCC/9.3.0/bin
export CXX=/software/sse/manual/GCC/9.3.0/bin/gcc
export CC=/software/sse/manual/GCC/9.3.0/bin/gcc
export LD_LIBRARY_PATH=/software/sse/manual/GCC/9.3.0/lib64
export LDFLAGS="-L/software/sse/manual/GCC/9.3.0/lib -L/software/sse/manual/GCC/9.3.0/lib64"
export CXXFLAGS="-L/software/sse/manual/GCC/9.3.0/lib -L/software/sse/manual/GCC/9.3.0/lib64"

env BAZEL_LINKOPTS=-static-libstdc++:-static-libgcc BAZEL_LINKLIBS=-l%:libstdc++.a:-lm bash ./compile.sh

mkdir -p /software/sse/manual/Bazel/5.3.0/bin
cp output/bazel /software/sse/manual/Bazel/5.3.0/bin
rm -rf /software/sse/manual/Bazel/5.3.0/bazel-5.3.0*


 
