 
module rm mpprun/4.1.5
module load GCC/.13.2.0

export INSTALL_DIR=/software/sse/manual/CMake/3.27.7/gcc-13.2.0
export BUILD_DIR=/proj/nsc_testing/xuan${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}


wget https://github.com/Kitware/CMake/releases/download/v3.27.7/cmake-3.27.7.tar.gz
tar xf cmake-3.27.7.tar.gz && cd cmake-3.27.7

./bootstrap --prefix=${INSTALL_DIR} --parallel=32
make -j 32
make install 
make test ARGS=-j32  |& tee ../test.log

# The following tests FAILED:
# 	 79 - BundleUtilities (Failed)
# 	284 - FortranC.Flags (Failed)
# 	574 - RunCMake.file-GET_RUNTIME_DEPENDENCIES (Failed)
# 	598 - RunCMake.CPack_DEB.DEBUGINFO (Failed)
# Errors while running CTest

# ctest --rerun-failed --output-on-failure |& tee ../test_rerun_failed.log
