

export INSTALL_DIR=/software/sse/manual/FSL/6.0.7/bdist
mkdir -p ${INSTALL_DIR}

python3 fslinstaller-3.13.3.py -d $INSTALL_DIR -V 6.0.7 -n
# mv ~/.condarc ~/.condarc.backup

# https://fsl.fmrib.ox.ac.uk/fsl/fslwiki/FslEnvironmentVariables
# ${FSLDIR}/etc/fslconf/fsl.sh
# If this is an official (fslinstaller-installed) FSL installation, wrappers to FSL executables will have been created in $FSLDIR/share/fsl/bin

# https://open.win.ox.ac.uk/pages/fsl/fsleyes/fsleyes/userdoc/install.html
# If you have FSL 6.0.7 or newer, you can update to the latest version by running the following command:
# update_fsl_package -u fsleyes
