

export INSTALL_DIR=/software/sse/manual/FreeSurfer/7.4.1/bdist
mkdir -p ${INSTALL_DIR}
cd ${INSTALL_DIR}

wget https://surfer.nmr.mgh.harvard.edu/pub/dist/freesurfer/7.4.1/freesurfer-linux-centos7_x86_64-7.4.1.tar.gz
tar -zxvpf freesurfer-linux-centos7_x86_64-7.4.1.tar.gz --strip-components=2

module load FSL/6.0.7-bdist
export FREESURFER_HOME=/software/sse/manual/FreeSurfer/7.4.1/bdist
export SUBJECTS_DIR=${FREESURFER_HOME}/subjects
export FUNCTIONALS_DIR=${FREESURFER_HOME}/sessions
$LMOD_DIR/sh_to_modulefile ${INSTALL_DIR}/FreeSurferEnv.sh > 7.4.1-bdist.lua
