

local root = "/software/sse/manual/FreeSurfer/7.4.1/bdist"

-- Load FSL module
load("FSL/6.0.7-bdist")

setenv("FREESURFER_HOME", root)
setenv("SUBJECTS_DIR", pathJoin(FREESURFER_HOME, "subjects"))
setenv("FUNCTIONALS_DIR", pathJoin(FREESURFER_HOME, "sessions"))

-- Output from $LMOD_DIR/sh_to_modulefile ${INSTALL_DIR}/FreeSurferEnv.sh > 7.4.1-bdist.lua
setenv("FIX_VERTEX_AREA","")
setenv("FMRI_ANALYSIS_DIR","/software/sse/manual/FreeSurfer/7.4.1/bdist/fsfast")
setenv("FREESURFER","/software/sse/manual/FreeSurfer/7.4.1/bdist")
setenv("FSFAST_HOME","/software/sse/manual/FreeSurfer/7.4.1/bdist/fsfast")
setenv("FSF_OUTPUT_FORMAT","nii.gz")
setenv("FSLCONVERT","/usr/bin/convert")
setenv("FSLDISPLAY","/usr/bin/display")
setenv("FSL_BIN","/software/sse/manual/FSL/6.0.7/bdist/bin")
setenv("FSL_DIR","/software/sse/manual/FSL/6.0.7/bdist")
setenv("FS_OVERRIDE","0")
setenv("LOCAL_DIR","/software/sse/manual/FreeSurfer/7.4.1/bdist/local")
setenv("MINC_BIN_DIR","/software/sse/manual/FreeSurfer/7.4.1/bdist/mni/bin")
setenv("MINC_LIB_DIR","/software/sse/manual/FreeSurfer/7.4.1/bdist/mni/lib")
setenv("MNI_DATAPATH","/software/sse/manual/FreeSurfer/7.4.1/bdist/mni/data")
setenv("MNI_DIR","/software/sse/manual/FreeSurfer/7.4.1/bdist/mni")
setenv("MNI_PERL5LIB","/software/sse/manual/FreeSurfer/7.4.1/bdist/mni/share/perl5")
setenv("OS","Linux")
prepend_path("PATH","/software/sse/manual/FSL/6.0.7/bdist/bin")
prepend_path("PATH","/software/sse/manual/FreeSurfer/7.4.1/bdist/tktools")
prepend_path("PATH","/software/sse/manual/FreeSurfer/7.4.1/bdist/fsfast/bin")
prepend_path("PATH","/software/sse/manual/FreeSurfer/7.4.1/bdist/bin")
append_path("PATH","/usr/local/sbin")
append_path("PATH","/usr/sbin")
setenv("PERL5LIB","/software/sse/manual/FreeSurfer/7.4.1/bdist/mni/share/perl5")

