module --force purge
module load CMake/.3.27.7-gcc-12.3.0
module load GCC/.12.3.0
module load Doxygen/.1.9.7-gcc-12.3.0


export INSTALL_DIR=/software/sse/manual/GEOS/3.12.1/gcc-12.3.0
export BUILD_DIR=/proj/nsc_testing/xuan${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}

wget https://download.osgeo.org/geos/geos-3.12.1.tar.bz2
# Unpack and setup build directory
tar xvfj geos-3.12.1.tar.bz2
cd geos-3.12.1
mkdir _build
cd _build
# Set up the build
cmake \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_INSTALL_PREFIX=${INSTALL_DIR} \
    ..
# Run the build, test, install
make
ctest
make install