module --force purge
module load CMake/.3.27.7-gcc-12.3.0
module load ld-wrapper/.1.0
# module load buildenv-gcccuda/.cuda-12.1.1-gcc-12.3.0
module load Ninja/1.11.0-bdist


export INSTALL_DIR=/software/sse/manual/LLVM/17.0.1/gcc-12.3.0
export BUILD_DIR=/proj/nsc_testing/xuan${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}


git clone https://github.com/llvm/llvm-project.git
cd llvm-project/
git checkout llvmorg-17.0.1

CC=`which gcc` CXX=`which g++` cmake -S llvm -B build -G Ninja -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=${INSTALL_DIR} 

cd build/
ninja
ninja install
