
VERSION=24.7.1-2
export INSTALL_DIR=/software/sse/manual/Miniforge3/$VERSION/hpc1-bdist
mkdir -p ${INSTALL_DIR}
cd ${INSTALL_DIR} 

curl -L -O https://github.com/conda-forge/miniforge/releases/download/$VERSION/Miniforge3-$VERSION-Linux-x86_64.sh
bash Miniforge3-$VERSION-Linux-x86_64.sh -fp ${INSTALL_DIR} -b
rm Miniforge3-$VERSION-Linux-x86_64.sh

cp -a /software/sse/manual/Mambaforge/nsc_wrapscripts ${INSTALL_DIR}
chmod +x ${INSTALL_DIR}/nsc_wrapscripts/nsc_mambawrap.sh ${INSTALL_DIR}/nsc_wrapscripts/nsc_pipwrap.sh

ln -s lib lib64
cd nsc_wrapscripts
ln -s nsc_pipwrap.sh pip
ln -s nsc_pipwrap.sh pip3

cat <<EOT >> "${INSTALL_DIR}/.condarc"
pkgs_dirs:
  - ~/.conda/pkgs
envs_dirs:
  - ~/.conda/envs
EOT