module rm mpprun/4.1.5 --force
module load ld-wrapper/.1.0
module load buildenv-nvhpc/23.3-cu11.8
module load HDF5/1.14.0-nvhpc-23.3
module load CMake/3.22.3-gcc-8.5.0

export INSTALL_DIR=/software/sse/manual/SOD2D/20231028/nvhpc-23.3
mkdir -p ${INSTALL_DIR}
cd ${INSTALL_DIR} 

git clone https://gitlab.com/bsc_sod2d/sod2d_gitlab
mv sod2d_gitlab/* ./ && rm -rf sod2d_gitlab
mkdir build
cd build
# cmake -DUSE_GPU=ON -DUSE_MPI=ON -DUSE_NCCL=ON -DTOOL_MESHPART=ON ..
cmake -DUSE_GPU=OFF -DUSE_MPI=ON -DUSE_NCCL=OFF -DTOOL_MESHPART=ON ..

make -j 16

mkdir -p ${INSTALL_DIR}/bin  

ln -s ${INSTALL_DIR}/build/tool_meshConversorPar/tool_meshConversorPar ${INSTALL_DIR}/bin/tool_meshConversorPar
ln -s ${INSTALL_DIR}/build/src/app_sod2d/sod2d ${INSTALL_DIR}/bin/sod2d

# Building with ld-wrapper doesn't work for sod2d_gitlab_aver_3D in ticket 280325.
# https://www.nsc.liu.se/software/buildenv/#compiler-wrappers