module load Mambaforge/23.3.1-1-hpc1-bdist

export INSTALL_DIR=/software/sse/manual/StyleID/20240627/python-3.6
export CONDA_ENV_DIR=$INSTALL_DIR/envs/styleid_20240627

mamba env create -p $CONDA_ENV_DIR --file requirements.yaml
mamba activate $CONDA_ENV_DIR

# Not working. Will install cpu version of pytorch.
# mamba install pytorch==1.7.1 torchvision==0.8.2 torchaudio==0.7.2 cudatoolkit=11.0 -c pytorch -y
pip install torch==1.7.1+cu110 torchvision==0.8.2+cu110 torchaudio===0.7.2 -f https://download.pytorch.org/whl/torch_stable.html

# Issues
# https://github.com/jupyterlab/jupyterlab/issues/12094