#!/bin/bash
set -e

mkdir -p /software/sse/manual/binutils/2.40.0
cd /software/sse/manual/binutils/2.40.0	

wget -O binutils-2.40.tar.gz "https://ftp.gnu.org/gnu/binutils/binutils-2.40.tar.gz"	
tar zxvf binutils-2.40.tar.gz	
cd binutils-2.40	
./configure --prefix=/software/sse/manual/binutils/2.40.0	
make -j 16 MAKEINFO=true	
make install MAKEINFO=true
rm -rf binutils-2.40  binutils-2.40.tar.gz

cp binutils-2.40.0.lua /software/sse/modules/binutils/.2.40.0.lua

mkdir -p /software/sse/modules/binutils
cp /proj/nsc_testing/xuan/berzelius-module-builds/binutils-2.40.0.lua /software/sse/modules/binutils/.2.40.0.lua
