# Berzelius Module Builds



## Building a New Buildenv

buildenv-gcccuda/12.1.1-gcc12.3.0:

| Buildenv  | gcccuda/12.1.1-gcc12.3.0 |
|-----------|-----------------------|
| GCC       | 12.3.0                |
| CUDA      | 12.1.1                |
| cuDNN     | 8.9.4                 |
| NCCL      | 2.18.3                |
| OpenBLAS  | 0.3.23                |
| OpenMPI   | 4.1.5                 |
| FFTW      | 3.3.10                |
| ScaLAPACK | 2.2.0                 |
| Eigen     | 3.4.0                 |
| MAGMA     | 2.7.1                 |
| OpenCV    | 4.8.0                 |
| LLVM    | 17.0.1                 |


| Buildenv  | gcccuda/11.8.0-gcc11.3.0 |
|-----------|-----------------------|
| GCC       | 11.3.0                |
| CUDA      | 11.8.0                |
| cuDNN     | 8.6.0                 |
| NCCL      | 2.16.5                |
| OpenBLAS  | 0.3.20                |
| OpenMPI   | 4.1.4                 |
| FFTW      | 3.3.10                |
| ScaLAPACK | 2.2.0                 |
| Eigen     |                  |
| MAGMA     |                  |
| OpenCV    |                  |
| LLVM    |                 |

<!-- buildenv-gcccuda/12.2.1-gcc12.1.0:

| Buildenv  | gcccuda/12.2.1-gcc12.1.0 |
|-----------|-----------------------|
| GCC       | 12.1.0                |
| CUDA      | 12.2.1                |
| cuDNN     | 8.9.5                 |
| NCCL      | 2.18.3                |
| OpenBLAS  | 0.3.23                |
| OpenMPI   | 4.1.5                 |
| FFTW      | 3.3.10                |
| ScaLAPACK | 2.2.0                 |
| Eigen     | 3.4.0                 |
| MAGMA     | 2.7.1                 |
| OpenCV    | 4.9.0                 |
| LLVM    | 17.0.1                 | -->

<!-- - GCC/12.3.0 (done)

See `check.log`.

- CUDA/12.1.1 (done)

- CMake/3.27.7-gcc-12.3.0 (done)

See `test.log`.

- OpenBLAS/0.3.23-gcc-12.3.0 (done)

See `lapack-test-$t`.

- OpenMPI/4.1.5-gcc-12.3.0-cuda-12.1.1 (done)

- FFTW/3.3.10-gcc-12.3.0-openmpi-4.1.5 (done)

- ScaLAPACK/2.2.0-gcc-12.3.0-openmpi-4.1.5-openblas-0.3.23 (done)

- Eigen/3.4.0-gcc-12.3.0 (done)

See `check.log`.

- MAGMA/2.7.1-gcc-12.3.0-cuda-12.1.1 (done) 

- OpenCV/4.8.0-gcc-12.3.0-cuda-12.1.1

- LLVM/17.0.3-gcc-12.3.0-cuda-12.1.1 -->