family("buildenv")

-- prepend_path("MODULEPATH","/software/sse/supplemental-modules/buildenv-gcccuda/cu12.1.1-g12.3.0")

if not isloaded("GCC/.12.3.0") or mode() == "unload" then
	load("GCC/.12.3.0")
end


if not isloaded("OpenMPI/.4.1.5-gcc-12.3.0-cuda-12.1.1") or mode() == "unload" then
 	    load("OpenMPI/.4.1.5-gcc-12.3.0-cuda-12.1.1")
end

if not isloaded("FFTW/.3.3.10-gcc-12.3.0-openmpi-4.1.5") or mode() == "unload" then
 	    load("FFTW/.3.3.10-gcc-12.3.0-openmpi-4.1.5")
end

if not isloaded("OpenBLAS/.0.3.23-gcc-12.3.0") or mode() == "unload" then
 	    load("OpenBLAS/.0.3.23-gcc-12.3.0")
end

if not isloaded("ScaLAPACK/.2.2.0-gcc-12.3.0-openmpi-4.1.5-openblas-0.3.23") or mode() == "unload" then
 	    load("ScaLAPACK/.2.2.0-gcc-12.3.0-openmpi-4.1.5-openblas-0.3.23")
end

if not isloaded("Eigen/.3.4.0-gcc-12.3.0") or mode() == "unload" then
	load("Eigen/.3.4.0-gcc-12.3.0")
end

if not isloaded("MAGMA/.2.7.1-gcc-12.3.0-cuda-12.1.1") or mode() == "unload" then
	load("MAGMA/.2.7.1-gcc-12.3.0-cuda-12.1.1")
end

if not isloaded("OpenCV/.4.8.0-gcc-12.3.0") or mode() == "unload" then
	load("OpenCV/.4.8.0-gcc-12.3.0")
end

if not isloaded("LLVM/.17.0.1-gcc-12.3.0") or mode() == "unload" then
	load("LLVM/.17.0.1-gcc-12.3.0")
end

nsc_set_mpivars("gcc")

-- Set up CUDA. The order of this matters.
if not isloaded("CUDA/.12.1.1") or mode() == "unload" then
	load("CUDA/.12.1.1")
end