## Set the appropriate environment variables for installing NVHPC
export NVHPC_INSTALL_DIR=/software/sse/manual/NVHPC/24.5/bdist/
export NVHPC_SILENT="true"
export NVHPC_INSTALL_TYPE="single"
export NVHPC_VERSION=24.5
export NVHPC_CUDA_VERSION=12.4

mkdir -p ${NVHPC_INSTALL_DIR}
## Download the nvhpc installer
cd ${NVHPC_INSTALL_DIR}
wget https://developer.download.nvidia.com/hpc-sdk/24.5/nvhpc_2024_245_Linux_x86_64_cuda_12.4.tar.gz
tar -xvf nvhpc_2024_245_Linux_x86_64_cuda_12.4.tar.gz

## Run the installer
nvhpc_2024_245_Linux_x86_64_cuda_12.4/install
rm -rf nvhpc_2024_245_Linux_x86_64_cuda_12.4*


